Loading...
Searching...
No Matches
GridAdapter Class Reference

## Classes

struct | Vector

## Public Types

enum | { dimension = 3 }

## Public Member Functions

template<class Grid>
void | init (const Grid &grid)
| Initialize the grid.
UnstructuredGrid * | c_grid ()
const UnstructuredGrid * | c_grid () const
| Access the underlying C grid.
int | numCells () const
int | numFaces () const
int | numVertices () const
int | numCellFaces (int cell) const
int | cellFace (int cell, int local_index) const
int | faceCell (int face, int local_index) const
int | numFaceVertices (int face) const
int | faceVertex (int face, int local_index) const
Vector | vertexPosition (int vertex) const
double | faceArea (int face) const
Vector | faceCentroid (int face) const
Vector | faceNormal (int face) const
double | cellVolume (int cell) const
Vector | cellCentroid (int cell) const
bool | operator== (const GridAdapter &other)
void | makeQPeriodic (const std::vector< int > &hf_ind, const std::vector< int > &periodic_cells)

## Member Function Documentation

## init()

template<class Grid>

void GridAdapter::init | ( | const Grid & | grid | ) |

inline

Initialize the grid.

Template Parameters

  Grid | This must conform to the SimpleGrid concept.

Parameters

  grid | The grid object.

The documentation for this class was generated from the following file:

- opm/grid/common/GridAdapter.hpp